diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/template.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/template.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/template.php	2012-11-30 07:40:59.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/template.php	2013-07-29 01:44:52.000000000 -0500
***************
*** 34,40 ****
  		$output .= "$indent</ul>\n";
  	}
  
! 	function start_el( &$output, $category, $depth, $args, $id = 0 ) {
  		extract($args);
  		if ( empty($taxonomy) )
  			$taxonomy = 'category';
--- 34,40 ----
  		$output .= "$indent</ul>\n";
  	}
  
! 	function start_el( &$output, $category, $depth = 0, $args = array(), $id = 0 ) {
  		extract($args);
  		if ( empty($taxonomy) )
  			$taxonomy = 'category';
***************
*** 176,185 ****
  	$terms = get_terms( $taxonomy, array( 'orderby' => 'count', 'order' => 'DESC', 'number' => $number, 'hierarchical' => false ) );
  
  	$tax = get_taxonomy($taxonomy);
- 	if ( ! current_user_can($tax->cap->assign_terms) )
- 		$disabled = 'disabled="disabled"';
- 	else
- 		$disabled = '';
  
  	$popular_ids = array();
  	foreach ( (array) $terms as $term ) {
--- 176,181 ----
***************
*** 192,198 ****
  
  		<li id="<?php echo $id; ?>" class="popular-category">
  			<label class="selectit">
! 			<input id="in-<?php echo $id; ?>" type="checkbox" <?php echo $checked; ?> value="<?php echo (int) $term->term_id; ?>" <?php echo $disabled ?>/>
  				<?php echo esc_html( apply_filters( 'the_category', $term->name ) ); ?>
  			</label>
  		</li>
--- 188,194 ----
  
  		<li id="<?php echo $id; ?>" class="popular-category">
  			<label class="selectit">
! 			<input id="in-<?php echo $id; ?>" type="checkbox" <?php echo $checked; ?> value="<?php echo (int) $term->term_id; ?>" <?php disabled( ! current_user_can( $tax->cap->assign_terms ) ); ?> />
  				<?php echo esc_html( apply_filters( 'the_category', $term->name ) ); ?>
  			</label>
  		</li>
***************
*** 244,250 ****
   */
  function get_inline_data($post) {
  	$post_type_object = get_post_type_object($post->post_type);
! 	if ( ! current_user_can($post_type_object->cap->edit_post, $post->ID) )
  		return;
  
  	$title = esc_textarea( trim( $post->post_title ) );
--- 240,246 ----
   */
  function get_inline_data($post) {
  	$post_type_object = get_post_type_object($post->post_type);
! 	if ( ! current_user_can( 'edit_post', $post->ID ) )
  		return;
  
  	$title = esc_textarea( trim( $post->post_title ) );
***************
*** 349,355 ****
  
  	<div id="replycontainer">
  	<?php
! 	$quicktags_settings = array( 'buttons' => 'strong,em,link,block,del,ins,img,ul,ol,li,code,spell,close' );
  	wp_editor( '', 'replycontent', array( 'media_buttons' => false, 'tinymce' => false, 'quicktags' => $quicktags_settings ) );
  	?>
  	</div>
--- 345,351 ----
  
  	<div id="replycontainer">
  	<?php
! 	$quicktags_settings = array( 'buttons' => 'strong,em,link,block,del,ins,img,ul,ol,li,code,close' );
  	wp_editor( '', 'replycontent', array( 'media_buttons' => false, 'tinymce' => false, 'quicktags' => $quicktags_settings ) );
  	?>
  	</div>
***************
*** 539,544 ****
--- 535,542 ----
  <?php
  
  	foreach ( $keys as $key ) {
+ 		if ( is_protected_meta( $key, 'post' ) )
+ 			continue;
  		echo "\n<option value='" . esc_attr($key) . "'>" . esc_html($key) . "</option>";
  	}
  ?>
***************
*** 621,628 ****
  	$minute = '<input type="text" ' . ( $multi ? '' : 'id="mn" ' ) . 'name="mn" value="' . $mn . '" size="2" maxlength="2"' . $tab_index_attribute . ' autocomplete="off" />';
  
  	echo '<div class="timestamp-wrap">';
! 	/* translators: 1: month input, 2: day input, 3: year input, 4: hour input, 5: minute input */
! 	printf(__('%1$s%2$s, %3$s @ %4$s : %5$s'), $month, $day, $year, $hour, $minute);
  
  	echo '</div><input type="hidden" id="ss" name="ss" value="' . $ss . '" />';
  
--- 619,626 ----
  	$minute = '<input type="text" ' . ( $multi ? '' : 'id="mn" ' ) . 'name="mn" value="' . $mn . '" size="2" maxlength="2"' . $tab_index_attribute . ' autocomplete="off" />';
  
  	echo '<div class="timestamp-wrap">';
! 	/* translators: 1: month, 2: day, 3: year, 4: hour, 5: minute */
! 	printf( __( '%1$s %2$s, %3$s @ %4$s : %5$s' ), $month, $day, $year, $hour, $minute );
  
  	echo '</div><input type="hidden" id="ss" name="ss" value="' . $ss . '" />';
  
***************
*** 680,686 ****
  	if ( $items ) {
  		foreach ( $items as $item ) {
  			// A page cannot be its own parent.
! 			if ( $post->ID && $item->ID == $post->ID )
  				continue;
  
  			$pad = str_repeat( '&nbsp;', $level * 3 );
--- 678,684 ----
  	if ( $items ) {
  		foreach ( $items as $item ) {
  			// A page cannot be its own parent.
! 			if ( $post && $post->ID && $item->ID == $post->ID )
  				continue;
  
  			$pad = str_repeat( '&nbsp;', $level * 3 );
***************
*** 780,793 ****
   */
  function wp_import_upload_form( $action ) {
  	$bytes = apply_filters( 'import_upload_size_limit', wp_max_upload_size() );
! 	$size = wp_convert_bytes_to_hr( $bytes );
  	$upload_dir = wp_upload_dir();
  	if ( ! empty( $upload_dir['error'] ) ) :
  		?><div class="error"><p><?php _e('Before you can upload your import file, you will need to fix the following error:'); ?></p>
  		<p><strong><?php echo $upload_dir['error']; ?></strong></p></div><?php
  	else :
  ?>
! <form enctype="multipart/form-data" id="import-upload-form" method="post" class="wp-upload-form" action="<?php echo esc_attr(wp_nonce_url($action, 'import-upload')); ?>">
  <p>
  <label for="upload"><?php _e( 'Choose a file from your computer:' ); ?></label> (<?php printf( __('Maximum size: %s' ), $size ); ?>)
  <input type="file" id="upload" name="import" size="25" />
--- 778,791 ----
   */
  function wp_import_upload_form( $action ) {
  	$bytes = apply_filters( 'import_upload_size_limit', wp_max_upload_size() );
! 	$size = size_format( $bytes );
  	$upload_dir = wp_upload_dir();
  	if ( ! empty( $upload_dir['error'] ) ) :
  		?><div class="error"><p><?php _e('Before you can upload your import file, you will need to fix the following error:'); ?></p>
  		<p><strong><?php echo $upload_dir['error']; ?></strong></p></div><?php
  	else :
  ?>
! <form enctype="multipart/form-data" id="import-upload-form" method="post" class="wp-upload-form" action="<?php echo esc_url( wp_nonce_url( $action, 'import-upload' ) ); ?>">
  <p>
  <label for="upload"><?php _e( 'Choose a file from your computer:' ); ?></label> (<?php printf( __('Maximum size: %s' ), $size ); ?>)
  <input type="file" id="upload" name="import" size="25" />
***************
*** 811,816 ****
--- 809,815 ----
   * @param string|object $screen Optional. The screen on which to show the box (post, page, link). Defaults to current screen.
   * @param string $context Optional. The context within the page where the boxes should show ('normal', 'advanced').
   * @param string $priority Optional. The priority within the context where the boxes should show ('high', 'low').
+  * @param array $callback_args Optional. Data that should be set as the "args" property of the box array (which is the second parameter passed to your callback).
   */
  function add_meta_box( $id, $title, $callback, $screen = null, $context = 'advanced', $priority = 'default', $callback_args = null ) {
  	global $wp_meta_boxes;
***************
*** 917,923 ****
  					if ( false == $box || ! $box['title'] )
  						continue;
  					$i++;
- 					$style = '';
  					$hidden_class = in_array($box['id'], $hidden) ? ' hide-if-js' : '';
  					echo '<div id="' . $box['id'] . '" class="postbox ' . postbox_classes($box['id'], $page) . $hidden_class . '" ' . '>' . "\n";
  					if ( 'dashboard_browser_nag' != $box['id'] )
--- 916,921 ----
***************
*** 969,974 ****
--- 967,1045 ----
  }
  
  /**
+  * Meta Box Accordion Template Function
+  *
+  * Largely made up of abstracted code from {@link do_meta_boxes()}, this
+  * function serves to build meta boxes as list items for display as
+  * a collapsible accordion.
+  *
+  * @since 3.6.0
+  *
+  * @uses global $wp_meta_boxes Used to retrieve registered meta boxes.
+  *
+  * @param string|object $screen The screen identifier.
+  * @param string $context The meta box context.
+  * @param mixed $object gets passed to the section callback function as first parameter.
+  * @return int number of meta boxes as accordion sections.
+  */
+ function do_accordion_sections( $screen, $context, $object ) {
+ 	global $wp_meta_boxes;
+ 
+ 	wp_enqueue_script( 'accordion' );
+ 
+ 	if ( empty( $screen ) )
+ 		$screen = get_current_screen();
+ 	elseif ( is_string( $screen ) )
+ 		$screen = convert_to_screen( $screen );
+ 
+ 	$page = $screen->id;
+ 
+ 	$hidden = get_hidden_meta_boxes( $screen );
+ 	?>
+ 	<div id="side-sortables" class="accordion-container">
+ 		<ul class="outer-border">
+ 	<?php
+ 	$i = 0;
+ 	$first_open = false;
+ 	do {
+ 		if ( ! isset( $wp_meta_boxes ) || ! isset( $wp_meta_boxes[$page] ) || ! isset( $wp_meta_boxes[$page][$context] ) )
+ 			break;
+ 
+ 		foreach ( array( 'high', 'core', 'default', 'low' ) as $priority ) {
+ 			if ( isset( $wp_meta_boxes[$page][$context][$priority] ) ) {
+ 				foreach ( $wp_meta_boxes[$page][$context][$priority] as $box ) {
+ 					if ( false == $box || ! $box['title'] )
+ 						continue;
+ 					$i++;
+ 					$hidden_class = in_array( $box['id'], $hidden ) ? 'hide-if-js' : '';
+ 
+ 					$open_class = '';
+ 					if ( ! $first_open && empty( $hidden_class ) ) {
+ 						$first_open = true;
+ 						$open_class = 'open';
+ 					}
+ 					?>
+ 					<li class="control-section accordion-section <?php echo $hidden_class; ?> <?php echo $open_class; ?> <?php echo esc_attr( $box['id'] ); ?>" id="<?php echo esc_attr( $box['id'] ); ?>">
+ 						<h3 class="accordion-section-title hndle" tabindex="0" title="<?php echo esc_attr( $box['title'] ); ?>"><?php echo esc_html( $box['title'] ); ?></h3>
+ 						<div class="accordion-section-content <?php postbox_classes( $box['id'], $page ); ?>">
+ 							<div class="inside">
+ 								<?php call_user_func( $box['callback'], $object, $box ); ?>
+ 							</div><!-- .inside -->
+ 						</div><!-- .accordion-section-content -->
+ 					</li><!-- .accordion-section -->
+ 					<?php
+ 				}
+ 			}
+ 		}
+ 	} while(0);
+ 	?>
+ 		</ul><!-- .outer-border -->
+ 	</div><!-- .accordion-container -->
+ 	<?php
+ 	return $i;
+ }
+ 
+ /**
   * Add a new section to a settings page.
   *
   * Part of the Settings API. Use this to define new settings sections for an admin page.
***************
*** 1334,1340 ****
   *
   */
  function _admin_search_query() {
! 	echo isset($_REQUEST['s']) ? esc_attr( stripslashes( $_REQUEST['s'] ) ) : '';
  }
  
  /**
--- 1405,1411 ----
   *
   */
  function _admin_search_query() {
! 	echo isset($_REQUEST['s']) ? esc_attr( wp_unslash( $_REQUEST['s'] ) ) : '';
  }
  
  /**
***************
*** 1363,1374 ****
  //<![CDATA[
  addLoadEvent = function(func){if(typeof jQuery!="undefined")jQuery(document).ready(func);else if(typeof wpOnload!='function'){wpOnload=func;}else{var oldonload=wpOnload;wpOnload=function(){oldonload();func();}}};
  function tb_close(){var win=window.dialogArguments||opener||parent||top;win.tb_remove();}
! var userSettings = {
! 		'url': '<?php echo SITECOOKIEPATH; ?>',
! 		'uid': '<?php if ( ! isset($current_user) ) $current_user = wp_get_current_user(); echo $current_user->ID; ?>',
! 		'time':'<?php echo time() ?>'
! 	},
! 	ajaxurl = '<?php echo admin_url( 'admin-ajax.php', 'relative' ); ?>',
  	pagenow = '<?php echo $current_screen->id; ?>',
  	typenow = '<?php echo $current_screen->post_type; ?>',
  	adminpage = '<?php echo $admin_body_class; ?>',
--- 1434,1440 ----
  //<![CDATA[
  addLoadEvent = function(func){if(typeof jQuery!="undefined")jQuery(document).ready(func);else if(typeof wpOnload!='function'){wpOnload=func;}else{var oldonload=wpOnload;wpOnload=function(){oldonload();func();}}};
  function tb_close(){var win=window.dialogArguments||opener||parent||top;win.tb_remove();}
! var ajaxurl = '<?php echo admin_url( 'admin-ajax.php', 'relative' ); ?>',
  	pagenow = '<?php echo $current_screen->id; ?>',
  	typenow = '<?php echo $current_screen->post_type; ?>',
  	adminpage = '<?php echo $admin_body_class; ?>',
***************
*** 1440,1446 ****
  	if ( is_sticky($post->ID) )
  		$post_states['sticky'] = __('Sticky');
  
! 	$post_states = apply_filters( 'display_post_states', $post_states );
  
  	if ( ! empty($post_states) ) {
  		$state_count = count($post_states);
--- 1506,1512 ----
  	if ( is_sticky($post->ID) )
  		$post_states['sticky'] = __('Sticky');
  
! 	$post_states = apply_filters( 'display_post_states', $post_states, $post );
  
  	if ( ! empty($post_states) ) {
  		$state_count = count($post_states);
***************
*** 1453,1460 ****
  		}
  	}
  
- 	if ( get_post_format( $post->ID ) )
- 		echo ' - <span class="post-state-format">' . get_post_format_string( get_post_format( $post->ID ) ) . '</span>';
  }
  
  function _media_states( $post ) {
--- 1519,1524 ----
***************
*** 1670,1676 ****
  		$registered_pointers = array(
  			'index.php'    => 'wp330_toolbar',
  			'post-new.php' => 'wp350_media',
! 			'post.php'     => 'wp350_media',
  			'themes.php'   => array( 'wp330_saving_widgets', 'wp340_customize_current_theme_link' ),
  			'appearance_page_custom-header' => 'wp340_choose_image_from_library',
  			'appearance_page_custom-background' => 'wp340_choose_image_from_library',
--- 1734,1741 ----
  		$registered_pointers = array(
  			'index.php'    => 'wp330_toolbar',
  			'post-new.php' => 'wp350_media',
! 			'post.php'     => array( 'wp350_media', 'wp360_revisions' ),
! 			'edit.php'     => 'wp360_locks',
  			'themes.php'   => array( 'wp330_saving_widgets', 'wp340_customize_current_theme_link' ),
  			'appearance_page_custom-header' => 'wp340_choose_image_from_library',
  			'appearance_page_custom-background' => 'wp340_choose_image_from_library',
***************
*** 1836,1848 ****
  		) );
  	}
  
  	/**
  	 * Prevents new users from seeing existing 'new feature' pointers.
  	 *
  	 * @since 3.3.0
  	 */
  	public static function dismiss_pointers_for_new_users( $user_id ) {
! 		add_user_meta( $user_id, 'dismissed_wp_pointers', 'wp330_toolbar,wp330_saving_widgets,wp340_choose_image_from_library,wp340_customize_current_theme_link,wp350_media' );
  	}
  }
  
--- 1901,1936 ----
  		) );
  	}
  
+ 	public static function pointer_wp360_revisions() {
+ 		$content  = '<h3>' . __( 'Compare Revisions' ) . '</h3>';
+ 		$content .= '<p>' . __( 'View, compare, and restore other versions of this content on the improved revisions screen.' ) . '</p>';
+ 
+ 		self::print_js( 'wp360_revisions', '.misc-pub-section.num-revisions', array(
+ 			'content' => $content,
+ 			'position' => array( 'edge' => is_rtl() ? 'left' : 'right', 'align' => 'center', 'my' => is_rtl() ? 'left' : 'right-14px' ),
+ 		) );
+ 	}
+ 
+ 	public static function pointer_wp360_locks() {
+ 		$content  = '<h3>' . __( 'Edit Lock' ) . '</h3>';
+ 		$content .= '<p>' . __( 'Someone else is editing this. No need to refresh; the lock will disappear when they&#8217;re done.' ) . '</p>';
+ 
+ 		if ( ! is_multi_author() )
+ 			return;
+ 
+ 		self::print_js( 'wp360_locks', 'tr.wp-locked .locked-indicator', array(
+ 			'content' => $content,
+ 			'position' => array( 'edge' => 'left', 'align' => 'left' ),
+ 		) );
+ 	}
+ 
  	/**
  	 * Prevents new users from seeing existing 'new feature' pointers.
  	 *
  	 * @since 3.3.0
  	 */
  	public static function dismiss_pointers_for_new_users( $user_id ) {
! 		add_user_meta( $user_id, 'dismissed_wp_pointers', 'wp330_toolbar,wp330_saving_widgets,wp340_choose_image_from_library,wp340_customize_current_theme_link,wp350_media,wp360_revisions,wp360_locks' );
  	}
  }
  
***************
*** 1865,1867 ****
--- 1953,1976 ----
  
  	return WP_Screen::get( $hook_name );
  }
+ 
+ /**
+  * Output the HTML for restoring the post data from DOM storage
+  *
+  * @since 3.6
+  * @access private
+  */
+ function _local_storage_notice() {
+ 	?>
+ 	<div id="local-storage-notice" class="hidden">
+ 	<p class="local-restore">
+ 		<?php _e('The backup of this post in your browser is different from the version below.'); ?>
+ 		<a class="restore-backup" href="#"><?php _e('Restore the backup.'); ?></a>
+ 	</p>
+ 	<p class="undo-restore hidden">
+ 		<?php _e('Post restored successfully.'); ?>
+ 		<a class="undo-restore-backup" href="#"><?php _e('Undo.'); ?></a>
+ 	</p>
+ 	</div>
+ 	<?php
+ }
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/theme-install.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/theme-install.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/theme-install.php	2012-11-07 17:54:03.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/theme-install.php	2013-05-07 11:35:03.000000000 -0500
***************
*** 28,45 ****
   *
   * @return array
   */
! function install_themes_feature_list( ) {
  	if ( !$cache = get_transient( 'wporg_theme_feature_list' ) )
! 		set_transient( 'wporg_theme_feature_list', array( ), 10800);
  
  	if ( $cache )
  		return $cache;
  
! 	$feature_list = themes_api( 'feature_list', array( ) );
  	if ( is_wp_error( $feature_list ) )
! 		return $features;
  
! 	set_transient( 'wporg_theme_feature_list', $feature_list, 10800 );
  
  	return $feature_list;
  }
--- 28,47 ----
   *
   * @return array
   */
! function install_themes_feature_list() {
! 	_deprecated_function( __FUNCTION__, '3.1', 'get_theme_feature_list()' );
! 
  	if ( !$cache = get_transient( 'wporg_theme_feature_list' ) )
! 		set_transient( 'wporg_theme_feature_list', array(), 3 * HOUR_IN_SECONDS );
  
  	if ( $cache )
  		return $cache;
  
! 	$feature_list = themes_api( 'feature_list', array() );
  	if ( is_wp_error( $feature_list ) )
! 		return array();
  
! 	set_transient( 'wporg_theme_feature_list', $feature_list, 3 * HOUR_IN_SECONDS );
  
  	return $feature_list;
  }
***************
*** 50,57 ****
   * @since 2.8.0
   */
  function install_theme_search_form( $type_selector = true ) {
! 	$type = isset( $_REQUEST['type'] ) ? stripslashes( $_REQUEST['type'] ) : 'term';
! 	$term = isset( $_REQUEST['s'] ) ? stripslashes( $_REQUEST['s'] ) : '';
  	if ( ! $type_selector )
  		echo '<p class="install-help">' . __( 'Search for themes by keyword.' ) . '</p>';
  	?>
--- 52,59 ----
   * @since 2.8.0
   */
  function install_theme_search_form( $type_selector = true ) {
! 	$type = isset( $_REQUEST['type'] ) ? wp_unslash( $_REQUEST['type'] ) : 'term';
! 	$term = isset( $_REQUEST['s'] ) ? wp_unslash( $_REQUEST['s'] ) : '';
  	if ( ! $type_selector )
  		echo '<p class="install-help">' . __( 'Search for themes by keyword.' ) . '</p>';
  	?>
***************
*** 100,106 ****
  <form method="get" action="">
  	<input type="hidden" name="tab" value="search" />
  	<?php
! 	$feature_list = get_theme_feature_list( );
  	echo '<div class="feature-filter">';
  
  	foreach ( (array) $feature_list as $feature_name => $features ) {
--- 102,108 ----
  <form method="get" action="">
  	<input type="hidden" name="tab" value="search" />
  	<?php
! 	$feature_list = get_theme_feature_list();
  	echo '<div class="feature-filter">';
  
  	foreach ( (array) $feature_list as $feature_name => $features ) {
***************
*** 153,159 ****
  function display_theme( $theme ) {
  	_deprecated_function( __FUNCTION__, '3.4' );
  	global $wp_list_table;
! 	return $wp_list_table->single_row( $theme );
  }
  
  /**
--- 155,161 ----
  function display_theme( $theme ) {
  	_deprecated_function( __FUNCTION__, '3.4' );
  	global $wp_list_table;
! 	$wp_list_table->single_row( $theme );
  }
  
  /**
***************
*** 179,185 ****
  function install_theme_information() {
  	global $tab, $themes_allowedtags, $wp_list_table;
  
! 	$theme = themes_api( 'theme_information', array( 'slug' => stripslashes( $_REQUEST['theme'] ) ) );
  
  	if ( is_wp_error( $theme ) )
  		wp_die( $theme );
--- 181,187 ----
  function install_theme_information() {
  	global $tab, $themes_allowedtags, $wp_list_table;
  
! 	$theme = themes_api( 'theme_information', array( 'slug' => wp_unslash( $_REQUEST['theme'] ) ) );
  
  	if ( is_wp_error( $theme ) )
  		wp_die( $theme );
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/theme.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/theme.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/theme.php	2012-09-04 17:35:12.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/theme.php	2013-07-08 12:10:47.000000000 -0500
***************
*** 37,43 ****
  	}
  
  	if ( ! WP_Filesystem($credentials) ) {
! 		request_filesystem_credentials($url, '', true); // Failed to connect, Error and request again
  		$data = ob_get_contents();
  		ob_end_clean();
  		if ( ! empty($data) ) {
--- 37,43 ----
  	}
  
  	if ( ! WP_Filesystem($credentials) ) {
! 		request_filesystem_credentials($redirect, '', true); // Failed to connect, Error and request again
  		$data = ob_get_contents();
  		ob_end_clean();
  		if ( ! empty($data) ) {
***************
*** 216,225 ****
  		return $features;
  
  	if ( !$feature_list = get_site_transient( 'wporg_theme_feature_list' ) )
! 		set_site_transient( 'wporg_theme_feature_list', array( ), 10800);
  
  	if ( !$feature_list ) {
! 		$feature_list = themes_api( 'feature_list', array( ) );
  		if ( is_wp_error( $feature_list ) )
  			return $features;
  	}
--- 216,225 ----
  		return $features;
  
  	if ( !$feature_list = get_site_transient( 'wporg_theme_feature_list' ) )
! 		set_site_transient( 'wporg_theme_feature_list', array(), 10800);
  
  	if ( !$feature_list ) {
! 		$feature_list = themes_api( 'feature_list', array() );
  		if ( is_wp_error( $feature_list ) )
  			return $features;
  	}
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/update-core.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/update-core.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/update-core.php	2013-06-21 04:29:58.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/update-core.php	2013-08-01 08:30:24.000000000 -0500
***************
*** 535,543 ****
--- 535,559 ----
  'wp-includes/js/jquery/ui/jquery.effects.pulsate.min.js',
  'wp-includes/js/jquery/ui/jquery.effects.transfer.min.js',
  'wp-includes/js/jquery/ui/jquery.effects.fold.min.js',
+ 'wp-admin/images/screenshots/captions-1.png',
+ 'wp-admin/images/screenshots/captions-2.png',
+ 'wp-admin/images/screenshots/flex-header-1.png',
+ 'wp-admin/images/screenshots/flex-header-2.png',
+ 'wp-admin/images/screenshots/flex-header-3.png',
+ 'wp-admin/images/screenshots/flex-header-media-library.png',
+ 'wp-admin/images/screenshots/theme-customizer.png',
+ 'wp-admin/images/screenshots/twitter-embed-1.png',
+ 'wp-admin/images/screenshots/twitter-embed-2.png',
+ 'wp-admin/js/utils.js',
  'wp-admin/options-privacy.php',
+ 'wp-app.php',
+ 'wp-includes/class-wp-atom-server.php',
+ 'wp-includes/js/tinymce/themes/advanced/skins/wp_theme/ui.css',
  // 3.5.2
  'wp-includes/js/swfupload/swfupload-all.js',
+ // 3.6
+ 'wp-admin/js/revisions-js.php',
+ 'wp-admin/images/screenshots',
  );
  
  /**
***************
*** 560,569 ****
  global $_new_bundled_files;
  
  $_new_bundled_files = array(
! 'plugins/akismet/' => '2.0',
! 'themes/twentyten/' => '3.0',
! 'themes/twentyeleven/' => '3.2',
! 'themes/twentytwelve/' => '3.5',
  );
  
  /**
--- 576,586 ----
  global $_new_bundled_files;
  
  $_new_bundled_files = array(
! 	'plugins/akismet/'       => '2.0',
! 	'themes/twentyten/'      => '3.0',
! 	'themes/twentyeleven/'   => '3.2',
! 	'themes/twentytwelve/'   => '3.5',
! 	'themes/twentythirteen/' => '3.6',
  );
  
  /**
***************
*** 698,706 ****
  	// 3.5 -> 3.5+ - an empty twentytwelve directory was created upon upgrade to 3.5 for some users, preventing installation of Twenty Twelve.
  	if ( '3.5' == $old_wp_version ) {
  		if ( is_dir( WP_CONTENT_DIR . '/themes/twentytwelve' ) && ! file_exists( WP_CONTENT_DIR . '/themes/twentytwelve/style.css' )  ) {
! 			// Bumping the introduced version to 3.5.1 for the affected users causes Twenty Twelve to be installed for the first time
! 			if ( $wp_filesystem->delete( $wp_filesystem->wp_themes_dir() . 'twentytwelve/' ) )
! 				$_new_bundled_files[ 'themes/twentytwelve/' ] = '3.5.1';
  		}
  	}
  
--- 715,721 ----
  	// 3.5 -> 3.5+ - an empty twentytwelve directory was created upon upgrade to 3.5 for some users, preventing installation of Twenty Twelve.
  	if ( '3.5' == $old_wp_version ) {
  		if ( is_dir( WP_CONTENT_DIR . '/themes/twentytwelve' ) && ! file_exists( WP_CONTENT_DIR . '/themes/twentytwelve/style.css' )  ) {
! 			$wp_filesystem->delete( $wp_filesystem->wp_themes_dir() . 'twentytwelve/' );
  		}
  	}
  
